[archaeopteryx] Improved Zope support in Wing IDE

Wing IDE Support support@wingide.com
01 Jul 2002 19:46:21 -0400


We're pleased to announce beta release of new, much improved Zope
support for Wing IDE!

This replaces the previous approach of patching Zope and 
providing special Zope bundles for use with Wing IDE.  It 
allows debugging Zope Products and External Methods on any 
platform supported by both the Wing IDE debugger and Zope.

Major differences include:

* No need to patch Zope or wait for Archaeopteryx support for
  new versions of Zope.  Works with your unchanged Zope
  installation >= version 2.4.0.
* Packaged as a Zope Product so debug configuration is from
  the Zope Management Interface.
* Debugs only requests on a given http port, which may co-exist 
  with non-debug requests.

The WingDBG product for Zope requires Wing IDE version 1.1.5
or later and cannot be used with a Zope installation that
was previously patched for Wing IDE.

For instructions and download links please refer to:

http://wingide.com/doc/zope

There are no known problems in this beta release of the WingDBG
product.  Nevertheless, we recommend against its use on a
production server.

Please report any problems to support@wingide.com.

Thanks,

The Wing IDE Team